> ## Documentation Index
> Fetch the complete documentation index at: https://viewerdocs.planpoint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Units

> Fetch units



## OpenAPI

````yaml GET /units
openapi: 3.0.3
info:
  title: Planpoint
  description: ''
  version: 1.0.0
servers:
  - url: https://app.planpoint.io/api
security:
  - AccessTokenAuth: []
tags:
  - name: user
    description: Everything about user
  - name: groups
    description: Everything about groups
  - name: projects
    description: Everything about projects
  - name: floors
    description: Everything about floors
  - name: units
    description: Everything about units
  - name: leads
    description: Everything about leads
externalDocs:
  description: Find out more about Planpoint
  url: http://planpoint.io
paths:
  /units:
    get:
      tags:
        - units
      summary: Search for units by query, or in a specific project or floor
      description: Fetch units
      operationId: fetchUnits
      parameters:
        - name: pid
          in: query
          description: Use a project ID to search for units
          schema:
            type: string
            example: objectId
        - name: fid
          in: query
          description: Use a floor ID to search for units
          schema:
            type: string
            example: objectId
        - name: filters
          in: query
          description: Use an object to search for units with specific values
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unit 101
              bedrooms:
                type: string
                example: Studio
              bathrooms:
                type: number
                example: 1
        - name: options
          in: query
          description: Search options
          schema:
            type: object
            properties:
              skip:
                description: Skip over the specified number of documents
                type: number
                example: 1
              limit:
                description: >-
                  Specify the maximum number of documents that should be
                  returned
                type: number
                example: 100
      responses:
        '200':
          description: Array of units found
        '400':
          description: Invalid input
components:
  securitySchemes:
    AccessTokenAuth:
      type: apiKey
      in: header
      name: Authorization

````